### Method

# GtkVnc Display send_keys_ex

#### Declaration [src]

    void
    vnc_display_send_keys_ex (
      VncDisplay* obj,
      const guint* keyvals,
      int nkeyvals,
      VncDisplayKeyEvent kind
    )

#### Description [src]

Sends key events to the remote server. `keyvals` should contain X11 key code values. These will be automatically converted to XT scancodes if needed

If `kind` is VNC_DISPLAY_KEY_EVENT_CLICK then all the key press events will be sent first, followed by all the key release events.

#### Parameters

`keyvals`

  Type: An array of `guint`

  Keyval array.

  The length of the array is specified in the `nkeyvals` argument.
  The data is owned by the caller of the method.

`nkeyvals`

  Type: `int`

  Length of keyvals.

`kind`

  Type: `VncDisplayKeyEvent`

  The type of event to send.